# fnl

Add or remove final newlines.

## Installation

```shell
cargo install fnl
```

## Usage

### Single file

Show status:

```shell
fnl file.txt
```

Add final newline:

```shell
fnl --add file.txt
```

Remove final newline:

```shell
fnl --remove file.txt
```

### Multiple files

You can supply a list of files using `find` or `rg`:

```shell
find . -type f | xargs fnl
```

```shell
rg --files | xargs fnl
```

## License

Please see the [license documentation](https://urbach.dev/license).

## Copyright

© 2025 Eduard Urbach